plugname = 'commandlinescan'

# Standard lists of file types & websites not to scan
exceptionvirusmimetypelist = '@DGCONFDIR@/lists/contentscanners/exceptionvirusmimetypelist'
exceptionvirusextensionlist = '@DGCONFDIR@/lists/contentscanners/exceptionvirusextensionlist'
exceptionvirussitelist = '@DGCONFDIR@/lists/contentscanners/exceptionvirussitelist'
exceptionvirusurllist = '@DGCONFDIR@/lists/contentscanners/exceptionvirusurllist'

# Program to run & initial arguments - filename for scanning will be appended
#progname = /path/to/scanner

# At least one of the following three options must be defined!
# They are checked in the following order, with the first match determining
# the scan result:
# virusregexp - regular expression for extracting virus names from
#               the scanner's output
# cleancodes - program return code(s), as a comma-separated list, for
#              uninfected files
# infectedcodes - program return code(s), as a comma-separated list, for
#                 infected files

#virusregexp = (someregexp)

# Which submatch of the above contains the virus name? (0 = all matched text)
#submatch = 1

# cleancodes = 0
# infectedcodes = 1,2,3

# Default result when none of the other options triggers a match
# Valid values are "infected" and "clean"
#defaultresult = infected



#
# Example configuration for clamdscan
#

## Path to binary
#progname = '/usr/bin/clamdscan'

## Program returns 0 for clean files (for an easy out)
#cleancodes = 0

## Regular expression for virus names
#virusregexp = : ([ -/a-zA-Z0-9\.]+) FOUND
#submatch = 1

## Default scan result when the above don't match
#defaultresult = infected
